fuss-software - Segnalazione #132

Aggiornamento metapacchetti per Debian
01/10/2017 07:07 PM - Christopher R. Gabriel

Status: Chiuso Start date: 01/10/2017
Priority: Normale Due date:

Assignee: Paolo Dongilli % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
Dopo aver portato i pacchetti su debian, ho questi problemi con le dipendenze, pacchetti che mancano:

fuss—-children: memaker, pencil

fuss—-education: drgeo

fuss—extra-multimedia: non-free-codecs, libxinel-ffmpeg, faac, mencoder, libmpeg3-1, libxinel-all-
plugins, libxinel-bin, gstreamer0.l0-fluendo-plugins-mp3-partner, gstreamer(0.l0-plugins-bad-multiv
erse-dbg, gstreamer0.10-sdl, gstreamer-dbus-media-service, gstreamer0.l0-packagekit

fuss—graphics: gimp-help-it

fuss-kids: kdeedu-data, python-simpy-doc, sagcad

fuss—multimedia: faac, libflac++6v5:1386, libflac++6v5, mencoder, libfaacO

fuss—-net: gftp, gftp-common, gftp-gtk, gftp-text

fuss-various: flashplugin-nonfree-extrasound, openjdk-9-jre, virtualbox—-guest-additions-iso, mbro
la, mbrola-de6, mbrola-de7, mbrola-enl, mbrola-it3, mbrola-it4

Puoi aggiornare tu la pagina https://work.fuss.bz.it/projects/fuss/wiki/SoftwareFuss8 con le sostituzioni da fare? Che non conosco la
rilevanza dei pacchetti indicati per le esigenze didattiche specifiche, per capire cosa si puo' banalmente togliere o cosa deve avere
un sostituto (che magari il pacchetto banalmente ha un nome diverso in Debian rispetto ad Ubuntu, tipo chromium vs
chromium-browser)

Associated revisions

Revision 9¢460304 - 03/03/2017 09:40 PM - Christopher R. Gabriel
refs #132

History

#1 - 01/12/2017 10:45 AM - Piergiorgio Cemin

- Assignee changed from Piergiorgio Cemin to Massimo Previdi

Massimo ha installato una Debian 8.6.0 i386-XFCe nel FUSS-Box e adesoo passo a lui

#2 - 01/12/2017 05:01 PM - Massimo Previdi

- Assignee changed from Massimo Previdi to Christopher R. Gabriel

Questo quello che ho trovato in rete e che bisogna provare e/o decidere:

- fuss-children:
memaker: per debian non c'e' vedi http:/memaker.org/# quindi possiamo toglierlo.
pencil: vedi http://pencil.evolus.vn/Downloads.html provare ad installare il seguente pacchetto
https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/evoluspencil evoluspencil_2.0.5_all.deb

- fuss-education:

drgeo: vedi http://www.drgeo.eu/download

provare ad installare a parte il pacchetto

https://launchpad.net/drgeo/trunk/16.10/+download/DrGeo.app-16.10a.zip

Attenzione:

Linux Dr. Geo is compiled for 32 bits host. To run it on your Linux 64 bits host, you need to install 32 bits compatibility package. This package will let
you run any 32 bits compiled software on a 64 bits host. Depending on the distribution, the package to install may have different name.

Debian < Jessie, Ubuntu, LinuxMint <= 12.04 LTS

sudo apt-get install ia32-libs-multiarch

Vale la pena o meglio lasciar perdere?

Per quanto riguarda i codecs di fuss-extra-multimedia

non saprei come procedere, visto che alcuni sono non-free!

Avete qualche idea?

fuss-extra-multimedia: non-free-codecs, libxine1-ffmpeg, faac, mencoder, libmpeg3-1,
libxine1-all-plugins, libxine1-bin, gstreamer0.10-fluendo-plugins-mp3-partner,
gstreamer0.10-plugins-bad-multiverse-dbg, gstreamer0.10-sdl,
gstreamer-dbus-media-service, gstreamer0.10-packagekit

fuss-graphics: gimp-help-it

Aggiungere il repository deb http:/ftp.de.debian.org/debian jessie main
in /etc/apt/sources.list

ed installare gimp.

fuss-kids: kdeedu-data, python-simpy-doc, sagcad
Possiamo toglierli?

fuss-multimedia: faac, libflac++6v5:i386, libflac++6v5, mencoder, libfaacO
Stessa situazione di fuss-extra-multimedia
non saprei come procedere, cosa consigliate di fare?

fuss-net: gftp, gftp-common, gftp-gtk, gftp-text

Propongo di tralasciare gftp ed installare filezilla

dopo aver aggiunto il repository deb http:/ftp.de.debian.org/debian jessie main
in /etc/apt/sources.list

fuss-various: flashplugin-nonfree-extrasound, openjdk-9-jre,
virtualbox-guest-additions-iso, mbrola, mbrola-de6, mbrola-de7, mbrola-ent,
mbrola-it3, mbrola-it4

Stessa situazione di fuss-extra-multimedia

Cosa consigliate di fare?

ciao
Massimo
#3 - 01/12/2017 05:09 PM - Christopher R. Gabriel
- Status changed from Nuovo to Commenti

- Assignee changed from Christopher R. Gabriel to Massimo Previdi

Massimo Previdi ha scritto:
Questo quello che ho trovato in rete e che bisogna provare e/o decidere:

- fuss-children:

memaker: per debian non c'e' vedi http://memaker.org/# quindi possiamo toglierlo.

pencil: vedi http://pencil.evolus.vn/Downloads.html provare ad installare il seguente pacchetto
https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/evoluspencil evoluspencil_2.0.5_all.deb

Ok, ma puoi aggiornare l'elenco ufficiale nella pagina wiki linkata nella descrizione del ticket?

- fuss-education:

drgeo: vedi http://www.drgeo.eu/download

provare ad installare a parte il pacchetto

https://launchpad.net/drgeo/trunk/16.10/+download/DrGeo.app-16.10a.zip

Attenzione:

Linux Dr. Geo is compiled for 32 bits host. To run it on your Linux 64 bits host, you need to install 32 bits compatibility package. This package will
let you run any 32 bits compiled software on a 64 bits host. Depending on the distribution, the package to install may have different name.
Debian < Jessie, Ubuntu, LinuxMint <= 12.04 LTS

sudo apt-get install ia32-libs-multiarch

Vale la pena o meglio lasciar perdere?

Questo me lo dovete dire voi, non so se e quanto questo pacchetto venga utilizzato per attivita' didattica.

Per quanto riguarda i codecs di fuss-extra-multimedia

non saprei come procedere, visto che alcuni sono non-free!

Avete qualche idea?

fuss-extra-multimedia: non-free-codecs, libxine1-ffmpeg, faac, mencoder, libmpeg3-1,
libxine1-all-plugins, libxine1-bin, gstreamer0.10-fluendo-plugins-mp3-partner,
gstreamer0.10-plugins-bad-multiverse-dbg, gstreamer0.10-sdl,
gstreamer-dbus-media-service, gstreamer0.10-packagekit

Toglierei i non-free sicuramente, quelli che restano se servono o meno me lo dovete dire voi, come sopra.
fuss-graphics: gimp-help-it
Aggiungere il repository deb http:/ftp.de.debian.org/debian jessie main

in /etc/apt/sources.list
ed installare gimp.

Gimp e' gia' in elenco, e quello €' il repository standard di debian.. quindi basta gimp allora, togliendo gimp-help-it?

fuss-kids: kdeedu-data, python-simpy-doc, sagcad
Possiamo toglierli?

Servono?

fuss-multimedia: faac, libflac++6v5:i386, libflac++6v5, mencoder, libfaacO
Stessa situazione di fuss-extra-multimedia
non saprei come procedere, cosa consigliate di fare?

Come sopra.
fuss-net: gftp, gftp-common, gftp-gtk, gftp-text

Propongo di tralasciare gftp ed installare filezilla

dopo aver aggiunto il repository deb http:/ftp.de.debian.org/debian jessie main
in /etc/apt/sources.list

ok, puoi aggiornare la lista?

fuss-various: flashplugin-nonfree-extrasound, openjdk-9-jre,
virtualbox-guest-additions-iso, mbrola, mbrola-de6, mbrola-de7, mbrola-ent,
mbrola-it3, mbrola-it4

Stessa situazione di fuss-extra-multimedia

Cosa consigliate di fare?

Rispondo allo stesso modo: sicuramente toglierei la roba non free, ma gli altri, vi servono? Nel senso.. erano contenuti nelle liste di pacchetti da
mettere che ci avete consegnato, quindi se servono o meno me lo dovete dire voi :)

Grazie, ciao

Christopher

#4 - 02/01/2017 11:32 AM - Elena Grandi

Sto aggiornando i metapacchetti e su https://work.fuss.bz.it/projects/fuss/wiki/SoftwareFuss8 ho notato un po' di discrepanze tra le tabelle e gli
elenchi di pacchetti

fuss-children
Nella tabella manca tuxtype, presente nella kista e in debian (I'ho messo)
fuss-kids

Nella lista mancano kbruch e *maxima, presenti nella tabella e in debian (li ho messi)
Nella lista manca anche eagle, presente in tabella, che invece & non-free (non I'hno messo)

fuss-education

Nella lista manca gnome-icon-theme presente in tabella, che sospetto venga installato automaticamente come dipendenza, ma comunque nel dubbio
ho messo.

Nella tabella (ma non nella lista) & presente drgeo che non € piu in debian (non I'ho messo)

Nel vecchio pacchetto era presente anche jclic che non € presente né in tabella né in lista, ma € ancora in debian: € stato scelto di toglierlo o & stato
dimenticato?

05/17/2025 4/10


http://ftp.de.debian.org/debian
https://work.fuss.bz.it/projects/fuss/wiki/SoftwareFuss8

Comincio a segnalare questi, poi proseguo col resto

#5 - 02/01/2017 11:37 AM - Elena Grandi
fuss-multimedia

La lista comprende kover e curl, non presenti sulla tabella, ma presenti in debian, li ho messi
Lista e tabella comprendono anche mplayer che non & presente in debian stable: alternative sono:

e Passare a mplayer2 e/o mpv (le due alternative generalmente consigliate sui canali debian)
e Provare a backportare noi mplayer a stable (non € detto che funzioni)

#6 - 02/01/2017 12:24 PM - Elena Grandi

fuss-graphics

la tabella comprende gthumb che non & in lista, & in debian, messo
fuss-office

La lista comprende gobby non presente in tabella, messo

Ho aggiunto anche il pacchetto libreoffice, che non sono sicura arrivi interamente come dipendenza dei pacchetti di localizzazione ed help presenti
sulla lista e aggiunto localizzazione ed help in spagnolo, anche quella mancante dalla lista.

#7 - 02/01/2017 12:29 PM - Elena Grandi

fuss-language-support
Noto che non di tutti i pacchetti ci sono tutte le lingue (it-en-de-fr-es)
ad esempio, mancava firefox-esr-110n-it

Cosa faccio? allineo mettendo tutte le combinazioni pacchetto / lingua (purché siano presenti in stable)?

#8 - 02/01/2017 12:36 PM - Elena Grandi

Riguardo alla questione libdvdcss, noto che la soluzione "moderna” di debian & presente anche in jessie-backports (mi aspettavo fosse solo in
stretch) ed ¢ https://packages.debian.org/sid/libdvd-pkg

non contiene pero direttamente la libreria, ma solo degli script che permettono in modo quasiautomatico di effettuarne
download/compilazione/installazione.

Potrebbe andare bene anche quello?
#9 - 02/01/2017 12:55 PM - Elena Grandi
fuss-extra-multimedia

Nella lista sono presenti i seguenti pacchetti che provengono da non-free:

® aac-enc
e faac

e xvid4conf che non & presente del tutto in debian: tolti

#10 - 02/01/2017 01:14 PM - Paolo Dongilli

Elena Grandi ha scritto:

Sto aggiornando i metapacchetti e su https:/work.fuss.bz.it/projects/fuss/wiki/SoftwareFuss8 ho notato un po' di discrepanze tra le tabelle e gli
elenchi di pacchetti

fuss-children
Nella tabella manca tuxtype, presente nella kista e in debian (I'ho messo)
fuss-kids

Nella lista mancano kbruch e *maxima, presenti nella tabella e in debian (li ho messi)
Nella lista manca anche eagle, presente in tabella, che invece & non-free (non I'ho messo)

fuss-education

Nella lista manca gnome-icon-theme presente in tabella, che sospetto venga installato automaticamente come dipendenza, ma comunque nel
dubbio ho messo.

Nella tabella (ma non nella lista) & presente drgeo che non € piu in debian (non I'ho messo)

Nel vecchio pacchetto era presente anche jclic che non € presente né in tabella né in lista, ma € ancora in debian: e stato scelto di toglierlo o &
stato dimenticato?

Comincio a segnalare questi, poi proseguo col resto

Fatti aggiornamenti nel wiki per questa prima tranche di segnalazioni.
#11 - 02/01/2017 02:27 PM - Elena Grandi
fuss-various

Presente in tabella, ma non in debian: usb-creator-gtk (mi pare sia una cosa solo ubuntu) e mbrola* (non-free, tra I'altro vedo che ¢ gia nella sezione
non-free)

Presenti nella lista, ma non nella tabella: vde2 (messo) e gnome-panel (messo, ma serve ancora anche se si usa xfce?
Presenti nella lista, non nella tabella, sospetto che arrivino come dipendenza di qualcosa: python-notify python-renderpm-dbg
python-egenix-mxtexttools python-reportlab-doc cifs-utils heimdal-clients: vanno davvero messi? (mi lasciano perplessa soprattutto -doc e -dbg di

pacchetti non esplicitamente richiesti). Comunque messi.

Per libpdf* che pacchetti si vogliono esattamente? Essendo librerie non dovrebbero gia venire installate come dipendenza di cio che le usa?

#12 - 02/01/2017 02:41 PM - Elena Grandi

Tra i metapacchetti pacchetti vecchi, vedo fuss-desktop, fuss-lasp e fuss-net che non sono presenti sulla pagina: sono da eliminare?

Inoltre, fuss-xfce & nuovo: va creato nuovo oppure sono cose da aggiungere a fuss-desktop?

#13 - 02/01/2017 02:45 PM - Christopher R. Gabriel
- Status changed from Commenti to In elaborazione

- Assignee changed from Massimo Previdi to Elena Grandi

fuss-lasp va tenuto, non e' software prettamente didattico, ha gia' quello che gli serve ed €' in attesa di test.
fuss-xfce €' in realta’ fuss-desktop, usiamo il nome fuss-desktop per mantenere continuita' con il passato.

fuss-net era nell'elenco sul wiki prima, se non c'e’ piu', direi che e' da togliere.

#14 - 02/01/2017 02:57 PM - Elena Grandi

Ehm, chiedo scusa, fuss-net c'era e come, me I'ero perso (sistemato, nessun commento).
fuss-desktop

Noto che il pacchetto precedente contiene: task-xfce-desktop python-gmenu python-appindicator lightdm-gtk-greeter tutti presenti in debian e
fuss-artwork fuss-desktop-control, sono da togliere? (in particolare mi lascia perplessa togliere task-xfce-desktop e i due fuss-)

#15 - 02/01/2017 03:50 PM - Christopher R. Gabriel

No, sono tutti da lasciare. Sono pacchetti "nostri" per costruire il desktop, non riguardano gli applicativi poi necessari agli utenti. Fuss-artwork
contiene l'artwork (per I'appunto) mentre desktop-control contiene un demo per l'integrazione con octofussd, sempre nostro.
#16 - 02/02/2017 10:15 AM - Elena Grandi

- Assignee changed from Elena Grandi to Paolo Dongilli

ottimo, allora i pacchetti sono stati allineati alla wiki, a meno di quanto segnalato nei commenti qui sopra.

Riassegno il ticket per i suddetti commenti sulle discrepanze rimaste liste-tabelle

#17 - 02/03/2017 02:22 AM - Paolo Dongilli

Elena Grandi ha scritto:
fuss-multimedia

La lista comprende kover e curl, non presenti sulla tabella, ma presenti in debian, li ho messi

Ok, aggiornata tabella.
Lista e tabella comprendono anche mplayer che non & presente in debian stable: alternative sono:

e Passare a mplayer2 e/o mpv (le due alternative generalmente consigliate sui canali debian)
e Provare a backportare noi mplayer a stable (non € detto che funzioni)

OK mplayer2 e mpv

#18 - 02/03/2017 09:26 AM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Elena Grandi
Elena Grandi ha scritto:

fuss-various

Presente in tabella, ma non in debian: usb-creator-gtk (mi pare sia una cosa solo ubuntu) e mbrola* (non-free, tra I'altro vedo che & gia nella
sezione non-free)

Ho sostituito usb-creator-gtk con python3-multibootusb nel wiki. Aggiungilo per favore in fuss-various
Ho tolto mbrola dalla tabella fuss-various.

Presenti nella lista, ma non nella tabella: vde2 (messo) e gnome-panel (messo, ma serve ancora anche se si usa xfce?
Togliamo sia gnome-panel che vde2 (dipendenza di virtualbox, gemu-system-*)

Presenti nella lista, non nella tabella, sospetto che arrivino come dipendenza di qualcosa: python-notify python-renderpm-dbg
python-egenix-mxtexttools python-reportlab-doc cifs-utils heimdal-clients: vanno davvero messi? (mi lasciano perplessa soprattutto -doc e -dbg
di pacchetti non esplicitamente richiesti). Comunque messi.

Tolti! Toglili pure anche tu.

Per libpdf* che pacchetti si vogliono esattamente? Essendo librerie non dovrebbero gia venire installate come dipendenza di cid che le usa?

Pulizia. Tolti pure questi dal wiki.

#19 - 02/03/2017 02:51 PM - Paolo Dongilli

Aggiunti in fuss-various i pacchetti Ishw ed Ishw-gtk.

#20 - 02/08/2017 10:02 AM - Paolo Dongilli

Paolo Dongilli ha scritto:

Aggiunti in fuss-various i pacchetti Ishw ed Ishw-gtk.

Aggiunto inoltre il pacchetto gcalctool in fuss-various
Grazie a Massimo Previdi per la segnalazione!

#21 - 02/08/2017 10:28 AM - Elena Grandi

- Assignee changed from Elena Grandi to Paolo Dongilli

Fatto quasi tutto.
Per gcalctool ho visto che € un pacchetto di transizione verso gnome-calculator, per cui ho messo gia la nuova versione.

python3-multibootusb invece non lo trovo nei repository debian da nessuna parte (e anche cercare multibootusb nei suddetti non mi ha dato risultati).
#22 - 02/09/2017 11:31 AM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Elena Grandi

Aggiunti anche i pacchetti

epoptes epoptes-client (fuss-various)
kicad kicad kicad-doc-en kicad-doc-fr kicad-doc-it (fuss-kids)

Tolto il pacchetto jclick (fuss-education) in quanto Massimo Previdi ha riportato che non si riesce a chiudere I'applicativo con facilita.

PS: non mi convince il nome del metapacchetto fuss-kids considerato che il software € per le scuole secondarie di 2° grado (superiori).

#23 - 02/09/2017 11:45 AM - Elena Grandi

- Assignee changed from Elena Grandi to Paolo Dongilli

Applicate anche le ultime aggiunte/rimozioni.

(effettivamente... — fuss-kids)

#24 - 03/03/2017 05:45 PM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Elena Grandi

Aggiunto pacchetto marble (fuss-education).

#25 - 03/03/2017 05:45 PM - Paolo Dongilli

- Assignee changed from Elena Grandi to Christopher R. Gabriel

#26 - 03/03/2017 05:48 PM - Christopher R. Gabriel
- Status changed from In elaborazione to Commenti

- Assignee changed from Christopher R. Gabriel to Paolo Dongilli

aggiunto, pubblicata sul repository la versione 8.0.15 della suite di metapacchetti.

#27 - 03/03/2017 09:48 PM - Paolo Dongilli

- Status changed from Commenti to Chiuso
